#!/bin/sh
#
# Startup initial and testing script
# Hey man, it's not for production use !
# This is only for dev issue.
#
# test.sh will become a wrapctl in future

export IPFCDIR="/opt/ipfc"
echo "Killall by INT any existing daemon"
killall -INT -e "perl"
echo "Hard removing locking..."
rm -f /opt/ipfc/run/wrapcol.pl.pid
rm -f /opt/ipfc/run/wrapnet.pl.pid
echo "Starting wrapcol.pl..."
perl ./wrapcol.pl
echo "Starting wrapnet.pl..."
perl ./wrapnet.pl
echo "Now all is running in daemon mode"
echo "log files are locate in $IPFCDIR/logs/ipfc.log"
